<?php

function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};




$gconf=mysql_fetch_array(mysql_querll("SELECT * FROM `gorod_conf`"));

if(isset($ku)){
if($gconf[0]['open']!=1){


echo "<div class='event'><h1>Фирма</h1></div>";
echo "<div class='block'>";


$firma=htmlspecialchars(trim($_GET['firma']));


switch ($firma){






default:
$x=mysql_querll("SELECT * FROM `gorod_firm` WHERE `user`='".$ku['nick']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет фирмы! <a href="?firma=reg">Зарегистрировать фирму!</a>';break;};
$x=mysql_fetch_assoc($x);

if($x['update']<time()){
mysql_querll("UPDATE `gorod_firm` SET `pritok`=`pritok`+'".$x['dohod']."',`update`='".(time()+80000)."' WHERE `user`='".$ku['nick']."'");
};

echo 'Название: <font color="red">'.$x['name'].'</font><br/>';
echo 'Информация о фирме: <font color="red">'.$x['opis'].'</font><br/>';
echo 'Дата регистрации:<font color="red"> '.date("H:i:s, d-m-Y",$x['date']).'</font><br/>';
if ($x['balans']!=0) {
echo"Баланс фирмы: ".$x['balans']."<br/>";
}else{
echo '<font color="red">Фирма не приносит доход!</font><br/>';
};

if($x['pritok']!=0){
echo 'На счету: '.$x['pritok'].'<br/>';
};

if ($x['dohod']!=0) {
echo 'Приносит доход: '.$x['dohod'].'<br/>';
}else{
echo '<font color="red">Нет доходов!<br/></font>';
};

if (time()>=$x['lasttake'] && $x['pritok']!=0){
echo '<a href="?action=dengi">Забрать выручку</a><br/>';
}else{
if($x['pritok']!=0){
echo 'Сможешь забрать выручку через <font color="red">'.maketime($x['lasttake']-time()).'</font><br/>';
}
}

echo 'В кармане: <font color="red">'.$ku['money'].'$</font>';
echo '<form action="?firma=balans" method="post">';
echo 'Bвeди cyммy:<br/>';
echo '<input title="Bвeди cyммy:" size="20" maxlength="30" name="rubies"/><br/>';
echo '<select name="oper">';
echo '<option value="1">Пoлoжить</option>';
echo '<option value="2">Bзять</option>';
echo '</select><br/>';
echo '<input type="submit" value="OK"/></form>';

echo '<a href="?rubies=faq">Справка</a><br/>';

if($x['balans']>=50000 && $x['birga']!='yes'){
echo'<a href="?firma=emis">Выпустить акции</a><br/>';
}
break;


case 'reg':
if(!empty($ku['firma'])){echo 'У вас уже есть фирма!';break;};
echo '<form action="?firma=save" method="post">';
echo 'Название фирмы:<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание фирмы:<br/>';
echo '<textarea name="opis"></textarea><br/>';
echo '<input type="submit" value="Регистрировать"/>';
echo '</form>';
break;


case 'save':
if(!empty($ku['firma'])){echo 'У вас уже есть фирма!';break;};
if($ku['rubies']<6000){echo 'Цена создания фирмы 5000 рубинов!';break;};
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
if(!$name || !$opis){echo 'Пустые параметры!';break;};
mysql_querll("INSERT INTO `gorod_firm` (`name`,`opis`,`user`,`date`)VALUES('$name','$opis','".$ku['nick']."','".time()."')");
mysql_querll("UPDATE `kolhoz_user` SET `firma`='$name' WHERE `id`='".$ku['id']."'");
mysql_querll("UPDATE `kolhoz_user` SET `rubies`=`rubies`-'6000' WHERE `id`='".$ku['id']."'");
echo 'Фирма создана!<br/>';
echo '<a href="?firma">К фирмам</a>';
break;


case 'faq':
echo'Памятка коммерса:<br/>
Фирма нужна для того, чтобы она приносила постоянный доход.
Фирма будет работать только при условии, что хозяин фирмы будет вкладывать
средства в свою фирму.
Если расход фирмы больше, чем доход, то
такая фирма становится убыточной и не приносит прибыли.
Это вас ожидает на начальном этапе, при открытии фирмы. Ваше ЧП не будет
приносить доход, пока на балансе не будет достаточно средств.
Выручку фирмы вы можете забирать каждый день.
Если вас устраивает доход, который приносит фирма, то
можно перестать ложить деньги на счёт фирмы и она перейдёт на
самобаланс, а вы будете просто каждый день забирать доход с кассы.
В случае пополнения баланса фирмы-доход постоянно меняется!
и чем больше вы вкладываете в фирму,-тем больше будет сумма дохода.
Для раскрутки фирмы нужно более 10000. Если вы не располагаете этими
деньгами, то можете постепенно вкладывать их в свою фирму. Успехов в
частном бизнесе! С н.п. Admin<br/>p.s. При достижении определенного
баланса ваши акции могут играть на бирже';
echo'<br/><a href="?firma">Назад</a>';
break;


case 'balans':
if(!$ku['firma']){echo 'У вас нет фирмы!';break;};
$rubies=(int)$_POST['rubies'];
$oper=(int)$_POST['oper'];
if(!$rubies || $rubies<0 || !$oper || $oper<1 || $oper>2){echo 'Пустые параметры!';break;};

$x=mysql_querll("SELECT * FROM `gorod_firm` WHERE `name`='".$ku['firma']."' AND `user`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);

if ($oper=="1"){
if ($ku['rubies']>$rubies){
mysql_querll("UPDATE `kolhoz_user` SET `rubies`=`rubies`-'$rubies' WHERE `id`='".$ku['id']."'");

$newbalans=$x['balans']+$rubies;
$c=round($newbalans/100);
$pribil=rand(10,$newbalans-$с);
if ($pribil<0){$pribil=0;}
mysql_querll("UPDATE `gorod_firm` SET `balans`='$newbalans',`dohod`='$pribil' WHERE `name`='".$ku['firma']."' AND `user`='".$ku['nick']."'");

echo 'Деньги положены!<br/><a href="?firma">Назад</a>';
}else{
echo 'У вас нет столько денег!<br/><a href="?firma">Назад</a>';};
};


if ($oper=="2"){
if ($x['balans']>$rubies){
mysql_querll("UPDATE `kolhoz_user` SET `rubies`=`rubies`+'$rubies' WHERE `id`='".$ku['id']."'");
$newbalans=$x['balans']-$rubies;
$c=round($newbalans/1000);
$pribil=rand(10,$newbalans-$с);
if ($pribil<0){$pribil=0;}
mysql_querll("UPDATE `gorod_firm` SET `balans`='$newbalans',`dohod`='$pribil',`lasttake`='".(time()+80000)."' WHERE `name`='".$ku['firma']."' AND `user`='".$ku['nick']."'");

echo 'Вы забрали деньги!<br/><a href="?firma">Назад</a>';
}else{
echo'Ваша фирма ненастолько богата, как вам хотелось бы!<br/>
<a href="?firma">Назад</a>';};
};
break;



case 'emis':
if(!$ku['firma']){echo 'У вас нет фирмы!';break;};
$x=mysql_querll("SELECT * FROM `gorod_firm` WHERE `name`='".$ku['firma']."' AND `user`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);
if($x['birga']=='yes'){echo 'Ваши акции уже продаются!';break;};
$zact=round($x['balans']/100);
$zact2=$zact*49;
mysql_querll("UPDATE `kolhoz_user` SET `money`=`money`+'$zact2' WHERE `id`='".$ku['id']."'");
mysql_querll("UPDATE `gorod_firm` SET `birga`='yes' WHERE `user`='".$ku['nick']."'");
echo'Ваша фирма стала акционерным обществом. 51% акций остается у
вас,49% продано на биржу по цене '.$zact.' монет.<br/>';
break;



case 'dengi':
if(!$ku['firma']){echo 'У вас нет фирмы!';break;};
$x=mysql_querll("SELECT * FROM `gorod_firm` WHERE `name`='".$ku['firma']."' AND `user`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);

echo 'Касса фирмы<br/><br/>';

if (time()>=$x['lasttake']){
echo 'Ежедневный отчет:<br/>';
$zp=rand(0,$x['pritok']/2);
$zp2=rand(0,$zp);
$zp3=rand(0,$zp2);
$zp4=rand(0,$zp3);
$pritog=round($x['pritok']-$zp);

if($x['birga']=='yes'){
$pritog=round($pritog/2);
echo 'Дивиденды по акциям переведены!<br/>';};

echo 'Вы забрали из кассы своей фирмы <font color="red">'.$pritog.'</font> рубинов.<br/>
'.$zp.' денег ушло на содержание фирмы.<br/>Из них:<br/>
'.$zp2.'-зарплата персонала<br/>
'.$zp3.'-налоги Админу<br/>
'.$zp4.'-закупка товара<br/><br/>';
mysql_querll("UPDATE `gorod_firm` SET `pritok`='0',`lasttake`='".(time()+80000)."' WHERE `user`='".$ku['nick']."'");
mysql_querll("UPDATE `kolhoz_user` SET `rubies`=`rubies`+'$pritog' WHERE `id`='".$ku['id']."'");

}else{
echo'Взять выручку вы сможете только через '.maketime($x['lasttake']-time()).' работы фирмы.<br/>';};
echo'<br/><a href="?firma">Назад</a>';
break;





};


echo '<div class="msg"><a href="?firm">Фирмы</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once 'inc/foot.php';
?>